/*********************************************************************
*  源程序名：Exercise6_2_1.cpp                  　　　　　　         *
*  功能：输出所有的两位绝对素数。                                    *
*********************************************************************/
#include <iostream.h>
#include <math.h>
#include <iomanip.h>
int invert(int n);
int isPrime(int m);
void main()
{
	int n,m;//分别存放原两位数和逆转后的两位数
	cout<<"两位绝对素数有：";
	for (n=10;n<=99;n++)
	{
		m=invert(n);//调用invert函数求n的逆转数
		if (isPrime(n) && isPrime(m)) //等价于if (isPrime(n)==1 && isPrime(m)==1)
			cout<<setw(3)<<n;
	}
	cout<<endl;
}
int invert(int n)
{
	int num,g,s;//num存放逆转数
	g=n%10;
	s=n/10;
	num=g*10+s;
	return num;
}
int isPrime(int m)
{
	int flag=1,i;
	for (i=2;i<sqrt(m);i++)
	{
		if (m%i==0)
		{
			flag=0;
			break;
		}
	}
	return flag;
}